## adacontrol 1.6r8

=== src/Makefile ===
--- 
+++ 
@@ -1,29 +1,34 @@
 ###############################################################################
-# Set PATH to ASIS library below
+# Set PATH to ASIS library below (default corresponds to the case where you
+# installed ASIS in the Gnat directory)
 
-ASIS_TOP = /usr/gnat/asis/
+ASIS_TOP = /usr/gnat/
 
 ###############################################################################
 # Depending on your version of ASIS, the ASIS directory  may be split into  
-# several directories or not
+# several directories or not. Uncomment the set of declarations that matches
+# your installation (default corresponds to the current versions of GnatPro and
+# GnatGPL):
 
 # ASIS_INCLUDE = ${ASIS_TOP}
 # ASIS_OBJ = ${ASIS_TOP}
 # ASIS_LIB = ${ASIS_TOP}
 
-ASIS_INCLUDE = ${ASIS_TOP}/src
-ASIS_OBJ = ${ASIS_TOP}/obj
-ASIS_LIB = ${ASIS_TOP}/lib
+# ASIS_INCLUDE = ${ASIS_TOP}/src
+# ASIS_OBJ = ${ASIS_TOP}/obj
+# ASIS_LIB = ${ASIS_TOP}/lib
+
+ASIS_INCLUDE = ${ASIS_TOP}/include/asis
+ASIS_OBJ = ${ASIS_TOP}/lib/asis
+ASIS_LIB = ${ASIS_TOP}/lib/asis
 
 ###############################################################################
 # SYSTEM COMMANDS (do not change)
 
 W32_RM   = del /q /s /f
-W32_SEP  = \\
 W32_EXT  = .exe
 
 UNIX_RM  = rm -f
-UNIX_SEP = /
 UNIX_EXT =
 
 
@@ -31,21 +36,19 @@
 # Choose your system by adding/removing comment tags
 
 #RM  = ${W32_RM}
-#SEP = ${W32_SEP}
 #EXT = ${W32_EXT}
 
 RM  = ${UNIX_RM}
-SEP = ${UNIX_SEP}
 EXT = ${UNIX_EXT}
 
 
 ###############################################################################
 # GNAT options, adjust to your taste
 
-GARGS = -v -gnatf -gnatwa -aI${ASIS_INCLUDE} -aO${ASIS_OBJ} -g
-CARGS = -cargs -O2 -gnatWh
+GARGS = -gnatf -gnatwa -aI${ASIS_INCLUDE} -aO${ASIS_OBJ} -g
+CARGS = -cargs -O2 -gnatWh -gnat95 -gnato
 BARGS = -bargs -E
-LARGS = -largs -L${ASIS_LIB} -largs -lasis
+LARGS = -largs -L${ASIS_LIB} -lasis
 
 
 ###############################################################################
@@ -84,7 +87,7 @@
 	- ${RM} *.o *.ali b~*
 
 veryclean : clean
-	- ${RM} *~ adactl${EXT} *~ ptree{EXT} *~ pfni{EXT}
+	- ${RM} *~ adactl${EXT} *~ ptree${EXT} *~ pfni${EXT}
 
 % :
 	gnatmake $@ ${GARGS} -gnatc ${CARGS} ${BARGS}
