## adacontrol 1.16r11

=== debian/changelog ===
adacontrol (1.16r11-4) unstable; urgency=medium

  * Not only set clock from deb log, but also freeze it so that PDF
    timestamps do not depend on the time spent in previous tasks.
  * patches/ascii-ug-for-texinfo.diff closes: #790527.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 12 Jul 2015 20:40:26 +0200

adacontrol (1.16r11-3) unstable; urgency=medium

  * Embed date from debian changelog in docs, for reproducible builds.
  * patches/adapt_test_to_debian.diff: accept new gcc x.y.z output.
  * patches/avoid-tests-depending-on-glob-order.diff: new.
  * Let autopkg run upstream tests, except failing t_representation_clauses.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 27 Apr 2015 18:33:43 +0200

adacontrol (1.16r11-2) unstable; urgency=medium

  * patches/adapt_test_to_debian.diff thanks to upstream author.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 28 Oct 2014 01:24:18 +0100

adacontrol (1.16r11-1) unstable; urgency=medium

  * New upstream release built with gnat4.9 asis2014. Closes: #747558, #755008.
  * Switch to source format 3.0 (quilt) and debhelper 9.
  * control: Uploaders+=myself Standards-Version=3.9.6 Vcs-*
    Build-Depends: texlive-fonts-recommended for EC fonts.
  * watch: new, thanks to Bart Martens.
  * Reformat docs, register with doc-base.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 02:19:52 +0200

adacontrol (1.12r4-3) unstable; urgency=low

  * Lintian cleaning.
  * debian/copyright: DEP-5.
  * Make the package compatible with dpkg-buildpackage -A, -B.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 15 Feb 2012 23:21:13 +0100

adacontrol (1.12r4-2) unstable; urgency=low

  * Recompile with gnat-4.6 and asis 2010.
  * debian/control (Architecture): any.
    (Standards-Version): bump to 3.9.2 with no changes required.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  6 Sep 2011 12:01:15 +0200

adacontrol (1.12r4-1) unstable; urgency=low

  * New upstream release: minor bug fixes and documentation updates.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  3 Aug 2010 19:33:56 +0200

adacontrol (1.12r3-1) unstable; urgency=low

  * Final release from upstream.
  * Install GPS/adacontrol.xml in the gprbuild plug-in directory.
  * debian/control (Enhances): add gprbuild.
  * debian/patches/gps-integration.patch: adjust to the new upstream release.
  * debian/patches/566061.patch: remive, applied upstream.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  8 May 2010 19:32:57 +0200

adacontrol (1.12~b1-1) unstable; urgency=low

  * New upstream beta version.  Really closes: #566061 even on i386.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 13 Mar 2010 14:01:37 +0100

adacontrol (1.11r4-1) unstable; urgency=low

  * New upstream version.  Closes: #566061. 
  * debian/control (Build-Depends): upgrade to gnat-4.4, libasis2008-dev.
    (Architecture): disable alpha due to http://gcc.gnu.org/PR42073.
  * debian/patches/*.patch: adjust to the new upstream version.
  * debian/patches/566061.patch: new, thanks to Jean-Pierre Rosen.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 11 Mar 2010 18:51:08 +0100

adacontrol (1.9r4-5) unstable; urgency=medium
  
  * debian/control (Architecture): temporarily disable mips due to
    #566234.  Add armel; closes: #568432.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 22:51:26 +0100
  

adacontrol (1.9r4-4) unstable; urgency=low

  * debian/control (Build-Depends): upgrade to gnat-4.4, libasis2008-dev.
    (Architecture): disable alpha due to http://gcc.gnu.org/PR42073.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  6 Dec 2009 21:41:48 +0100

adacontrol (1.9r4-3) unstable; urgency=low

  * debian/control (Standards-Version): bump to 3.8.3.
  (Depends): add ${misc:Depends}, fixes two lintian warnings.
  (Description): do not use more than 80 characters per line.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Sep 2009 00:05:44 +0200

adacontrol (1.9r4-2) unstable; urgency=low

  [Raphael Hertzog]
  * Move patches to debian/patches and adjust build system accordingly to
    be compatible with source format 3.0 (quilt). Closes: #485101

  [Ludovic Brenta]
  * debian/control (Architectures): add kfreebsd-amd64.  Closes: #542410.
    (Source-Version): bump to 3.8.1.
  * debian/compat: bump to 7 (from 5).
  * Recompile against libasis (=2007-5).  Closes: #518726.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 10 Sep 2009 21:31:20 +0200

adacontrol (1.9r4-1) unstable; urgency=low

  * New upstream version.
  * debian/control: prevent the list in the description from being
    reformatted.  Thanks to Simon Huggins for reporting.  Closes: #480315.
    (Standards-Version): bump to 3.7.3 with no changes required.
  * debian/compat: new.
  * debian/rules: do not export DH_COMPAT anymore.
  * debian/adactl.1: update.
  * debian/copyright: remove the "special exception" text, since adacontrol
    is linked with libasis2007 which is pure GPL.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 13 May 2008 22:55:37 +0200

adacontrol (1.8r8-1) unstable; urgency=low

  * New upstream version.
  * debian/adacontrol.gpr: delete; use upstream's project file instead.
  * patches/build.patch: patch upstream's project file to change Object_Dir
    and Exec_Dir.
  * Build-depend on asis 2007 and gnat-4.3.
  * Add support for mips, mipsel and ppc64.
  * Build and provide ptree.
  * ptree.1: new.
  * adactl.1: update; new options and rules are available.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 27 Apr 2008 16:33:11 +0200

adacontrol (1.6r8-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add a copyright statement.  Use all available CPUs to
    build.  Install predefined rules files in /usr/share/adacontrol.
  * debian/adacontrol.gpr: work around a compiler (GCC 4.1) bug triggered
    by two of AdaControl's source files.
  * debian/README.Debian: new; explain about the predefined rule files.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed,  6 Dec 2006 19:59:00 +0100


