=== debian/tests/control ===
Tests: upstream-tests
Depends: @, bash
