=== debian/changelog ===
adacontrol (1.17r3.1-4) unstable; urgency=medium

  * no-E-binder-option-to-avoid-666106.diff closes: 833026.
  * Update watch file to version 4 and new ustream URL.
  * test-allow-sh-noglob.diff allows the tests to run twice in a row.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Aug 2016 18:10:58 +0200

adacontrol (1.17r3.1-3) unstable; urgency=medium

  * Update representation clause test for Ada 2005. Closes: #823369.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 May 2016 10:05:18 +0200

adacontrol (1.17r3.1-2) unstable; urgency=medium

  * Rebuild with gnat-6 and libasis2015-dev.
    Replace gnatmake with gprbuild, as the former is dropping project support.
  * Split adacontrol into adacontrol and adacontrol-doc.
  * Enable all hardening flags.
    Avoid mixing -cargs and Compiler_Switches, put LDFLAGS before libraries.
  * Stop the build if a test fails.
  * Emulate adapt_test_to_debian.diff without the need for manual updates.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 May 2016 02:43:52 +0200

adacontrol (1.17r3.1-1) unstable; urgency=medium

  * Same upstream release, but tarball includes COPYING, HISTORY, readme.txt.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 Nov 2015 10:39:00 +0100

adacontrol (1.17r3-1) unstable; urgency=medium

  * New upstream release.
  * rules, patches/build: stay closer to upstream build system.
  * rules, adacontrol.install: more readable as an override in rules.
  * docs: install support.txt as described in man page.
  * patches/fix-texinfo: avoid mentioning version in the patch context.
  * patches/test-with-posix-shell: avoid build-dependency on bash.
  * Basic run time test every few days, full test suite after the build.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 12 Nov 2015 21:49:28 +0100
