=== debian/control ===
Source: adacontrol
Homepage: http://www.adalog.fr/adacontrol2.htm
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.8
Build-Depends: gnat (>= 4.9),
# gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
 libasis2015-dev,
# gprbuild handling gnat-6
 gprbuild (>= 2015-2),
 debhelper (>= 9), dpkg-dev (>= 1.16.1)
# dpkg-dev: /usr/share/dpkg/default.mk
Build-Depends-Indep:
 faketime,
# https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
 texinfo, texlive-base, texlive-generic-recommended, texlive-latex-base,
 texlive-fonts-recommended
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.adacontrol
Vcs-Mtn: www.ada-france.org org.debian.adacontrol

Package: adacontrol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: gnat-gps, gprbuild
Suggests: adacontrol-doc
Description: Ada rules controller
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package also contains the following utilities:
 .
  * pfni: Print Full Name Image - expands any identifier to a fully-qualified
    name
  * ptree: Prints a graphic representation of an ASIS tree with corresponding
    source

Package: adacontrol-doc
Section: doc
Architecture: all
Replaces: adacontrol (<< 1.17r3.1-2)
Breaks: adacontrol (<< 1.17r3.1-2)
Depends: ${misc:Depends}
Suggests: gnat, adacontrol
Description: Ada rules controller (documentation)
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package contains the documentation.
