=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for adacontrol.
 # Copyright (c) 2006, 2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2014-2015 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2016 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,10 +16,13 @@
 # The full text of the GNU General Public License is in the file
 # /usr/share/common-licenses/GPL on Debian systems.
 
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging.mk
+include /usr/share/ada/debian_packaging*.mk
 
 ADAFLAGS += -gnatwa
+
+BINARIES := adactl pfni ptree
 
 POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
   build-indep clean
@@ -27,14 +30,22 @@
 $(POLICY_TARGETS):
 	dh $@
 
-# No upstream build system.
-.PHONY: $(addprefix override_dh_auto_,configure build clean install test)
+.PHONY: $(addprefix override_dh_auto_, \
+  configure build-arch build-indep test-arch test-indep install clean)
 
-override_dh_auto_build: project $(foreach s,pm ug,$(foreach f,html info pdf txt,doc/obj/adacontrol_$(s).$(f)))
+override_dh_auto_build-arch:
+	gprbuild $(BUILDER_OPTIONS) src/build.gpr \
+	  $(foreach v,ADAFLAGS LDFLAGS,"-X$(v)=$($(v))")
+override_dh_auto_clean::
+	rm -f $(addprefix src/, *.ali *.o *.adt auto.cgpr \
+                $(foreach b, $(BINARIES), \
+                  b~$(b).ad[bs] b__$(b).ad[bs] $(b).bexch $(b)))
 
-.PHONY: project
-project: | src/exe src/obj
-	gnatmake $(BUILDER_OPTIONS) -Psrc/build.gpr -cargs $(ADAFLAGS) -largs $(LDFLAGS)
+override_dh_auto_build-indep: $(foreach s, pm ug, \
+                              $(foreach f, html info pdf txt, \
+                              doc/obj/adacontrol_$(s).$(f)))
+override_dh_auto_clean::
+	rm -fr doc/obj
 
 # Faketime allows reproducible builds, see
 # https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
@@ -56,24 +67,38 @@
 doc/obj/%.txt : doc/%.texi | doc/obj
 	$(TEXI2ANY) --plaintext $< --output=$@
 
-doc/obj src/exe src/obj:
+doc/obj:
 	mkdir $@
-override_dh_auto_clean:
-	rm -fr doc/obj src/exe src/obj
 
+override_dh_auto_test-arch:
+	cd test && sh -Cefu run.sh
+override_dh_auto_clean::
+	rm -fr test/res
+	rm -f $(addprefix test/,*.ali *.adt)
+
+GNAT_VERSION := $(shell gnat --version | head -n1)
+override_dh_auto_test-arch: test/ref/tfw_help.txt~
+test/ref/tfw_help.txt~:
+	sed -i~ \
+	  '/^ADACTL .* with ASIS .* for GNAT .*/s/GNAT .*/$(GNAT_VERSION)/' \
+	  test/ref/tfw_help.txt
+override_dh_auto_clean::
+	if test -f test/ref/tfw_help.txt~; then \
+	  mv test/ref/tfw_help.txt~ test/ref/tfw_help.txt; \
+	fi
+
+.PHONY: override_dh_install
 override_dh_install:
-	dh_install
-	dh_install $(filter-out GPS/adacontrol.xml,$(wildcard GPS/*)) \
-	   /usr/share/gps/plug-ins
+	dh_install --package=adacontrol $(addprefix src/, $(BINARIES)) usr/bin
+	dh_install --package=adacontrol GPS/adacontrol.xml usr/share/gprconfig
+	dh_install --package=adacontrol \
+	  $(filter-out GPS/adacontrol.xml,$(wildcard GPS/*)) usr/share/gps/plug-ins
+	dh_install --remaining-packages
 
 # Adactl cannot open compressed rules.
 # PDF files are already internally compressed.
 .PHONY: override_dh_compress
 override_dh_compress:
-	dh_compress --exclude=.aru --exclude=.pdf
-
-# This file exists in upstream archive, do not remove it.
-# This should be fixed in 1.16r12.
-.PHONY: override_dh_clean
-override_dh_clean:
-	dh_clean --exclude=test/ref/t_allocators.txt.bak
+	dh_compress --package=adacontrol --exclude=.aru
+	dh_compress --package=adacontrol-doc --exclude=.pdf
+	dh_compress --remaining-packages
