## adacontrol 1.18r9

=== debian/changelog ===
adacontrol (1.18r9-2) unstable; urgency=medium

  * Rebuild with libraries updated for gcc-7.
  * disable-*-test.diff: temporary disable two failing tests.
  * Adapt install and clean of info files to --no-split option.
  * Update Homepage, Vcs-Mtn, texlive-generic package name.
  * Drop explicit rules targets confusing dh. Fix gcc version parsing.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 11 Aug 2017 20:19:34 +0200

adacontrol (1.18r9-1) unstable; urgency=medium

  * New upstream release. Now depends on libgnatcoll.
    Repackage without preformatted documentation.
  * Switch to debhelper 10.
  * Standards-Version 4.0.0. Handle DEB_BUILD_OPTIONS=nodoc.
  * Pdflatex now produce a reproductible output without faketime.
  * Allow -doc package to satisfy Multi-Arch foreign dependencies.
  * Upstream now rebuilds all docs in its own Makefile.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Jun 2017 21:13:15 +0200
