=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: adacontrol
-Homepage: http://www.adalog.fr/adacontrol2.htm
+Homepage: http://www.adalog.fr/en/adacontrol.html
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Build-Depends: gnat (>= 4.9),
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
- libasis2015-dev,
+ libasis2017-dev,
+ libgnatcoll16.1.0-dev,
 # gprbuild handling gnat-6
  gprbuild (>= 2015-2),
- debhelper (>= 9), dpkg-dev (>= 1.16.1)
+ debhelper (>= 10), dpkg-dev (>= 1.16.1)
 # dpkg-dev: /usr/share/dpkg/default.mk
 Build-Depends-Indep:
- faketime,
-# https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
- texinfo, texlive-base, texlive-generic-recommended, texlive-latex-base,
+ texinfo, texlive-base, texlive-plain-generic, texlive-latex-base,
  texlive-fonts-recommended
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.adacontrol
-Vcs-Mtn: www.ada-france.org org.debian.adacontrol
+Vcs-Mtn: mtn://www.ada-france.org?org.debian.adacontrol
 
 Package: adacontrol
 Architecture: any
@@ -42,6 +41,7 @@
 Package: adacontrol-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Replaces: adacontrol (<< 1.17r3.1-2)
 Breaks: adacontrol (<< 1.17r3.1-2)
 Depends: ${misc:Depends}
