=== debian/changelog ===
adacontrol (1.19r10-2) unstable; urgency=medium

  * Remove remaining calls to Build-Depends-Arch during -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Jan 2018 17:38:30 +0100

adacontrol (1.19r10-1) unstable; urgency=medium

  * New upstream release.
    Applied patches: fix-texinfo, put_ldflags_before_ldlibs.
    New patches: bashism, build_adactl_fix, test-report-error, test_version,
    reproducible-no-last-update.
  * Handle new executable adactl_fix.
  * Debhelper: 11. Simplify doc installation.
  * Standards-Version: 4.1.3.
  * Build-Depends: split common, -arch and -indep,
    drop obsolete dpkg-dev minimal version,
    add dos2unix now required by build-time tests.
  * Add new option to adactl manpage. Fix some typos.
  * Handle DEB_BUILD_OPTIONS=nocheck.
  * Remove trailing whitespaces in this changelog.
  * Lintian override for minor unfixable issues.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Jan 2018 00:44:44 +0100
