=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.0.1
-Build-Depends: gnat (>= 4.9),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
+Build-Depends-Arch: gnat (>= 4.9),
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
  libasis2017-dev,
  libgnatcoll16.1.0-dev,
 # gprbuild handling gnat-6
  gprbuild (>= 2015-2),
- debhelper (>= 10), dpkg-dev (>= 1.16.1)
-# dpkg-dev: /usr/share/dpkg/default.mk
+ dos2unix
+# test/run.sh
 Build-Depends-Indep:
  texinfo, texlive-base, texlive-plain-generic, texlive-latex-base,
  texlive-fonts-recommended
@@ -37,6 +38,7 @@
     name
   * ptree: Prints a graphic representation of an ASIS tree with corresponding
     source
+  * adactl_fix: automatically fix some violations.
 
 Package: adacontrol-doc
 Section: doc
