=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,16 @@
 # The full text of the GNU General Public License is in the file
 # /usr/share/common-licenses/GPL on Debian systems.
 
-gnatgcc_base_version := $(shell gnatgcc -dumpversion)
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging-$(gnatgcc_base_version).mk
-ADAFLAGS += -gnatwa
+ifneq (,$(wildcard /usr/bin/gnatgcc)) # Build-Depends-Arch are installed.
+  gnat_version := $(shell /usr/bin/gnatgcc --version | sed -n '1s/.* //p')
+  gnat_base_version := $(basename $(basename $(gnat_version)))
+  include /usr/share/ada/debian_packaging-$(gnat_base_version).mk
+  ADAFLAGS += -gnatwa
+endif
+
+executables := adactl pfni ptree adactl_fix
 
 %:
 	dh $@
@@ -32,7 +37,8 @@
 	$(MAKE) build 'CARGS=$(ADAFLAGS)' \
 	  'GARGS=$(BUILDER_OPTIONS) "-XLDFLAGS=$(LDFLAGS)"'
 override_dh_auto_clean::
-	$(MAKE) veryclean
+  # Rewrite the veryclean target without Build-Depends-Arch.
+	rm -f src/*.ali src/*.o $(foreach e,$(executables),$(e) src/$(e).bexch src/b__$(e).ad[bs])
 
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -46,16 +52,17 @@
 	  doc/adacontrol_??.pdf
 
 override_dh_auto_test-arch:
-	cd test && sh -e run.sh
+  ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd test && ./run.sh
+  endif
 override_dh_auto_clean::
 	rm -fr test/res
 	rm -f $(addprefix test/,*.ali *.adt)
 
-GNAT_VERSION := $(shell gnat --version | head -n1)
 override_dh_auto_test-arch: test/ref/tfw_help.txt~
 test/ref/tfw_help.txt~:
 	sed -i~ \
-	  's/^\(ADACTL v\. \).*\( with ASIS .* for \)GNAT .*/\1$(DEB_VERSION_UPSTREAM)\2$(GNAT_VERSION)/' \
+	  's/^\(ADACTL v\. \).*\( with ASIS .* for GNAT \).*/\1$(DEB_VERSION_UPSTREAM)\2$(gnat_version)/' \
 	  test/ref/tfw_help.txt
 override_dh_auto_clean::
 	if test -f test/ref/tfw_help.txt~; then \
