=== debian/changelog ===
adacontrol (1.20r7-3) unstable; urgency=medium

  * Ignore tests, but let them produce a log as suggested in #926747.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Apr 2019 10:45:47 +0200

adacontrol (1.20r7-2) unstable; urgency=medium

  * Disable tests, lowering the severity of #924835.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 04 Apr 2019 21:13:55 +0200

adacontrol (1.20r7-1) unstable; urgency=medium

  * New upstream release.
  * Debhelper 12.
  * Standards-Version: 4.3.0.
  * Disable broken fix_tfw_gpr test.
  * Only include dpkg minimal snippet, only during -arch builds.
  * Condition tests with both DEB_BUILD_{PROFILES,OPTIONS}.
  * In run time tests, update ADTTMP to AUTOPKGTEST_TMP.
  * Add upstream/metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Jan 2019 12:12:45 +0100

adacontrol (1.19r10-4) unstable; urgency=medium

  * Reupload to unstable.
  * Standards-Version: 4.1.5. Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 27 Jul 2018 19:28:15 +0200

adacontrol (1.19r10-3) experimental; urgency=medium

  * Rebuild with gnat-8, libgnatcoll17-dev, libasis2017-dev.
  * Standards-version 4.1.4.
  * Patch the tests to use gnatgcc instead of gcc.
  * Remove overrides for pedantic lintian messages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 18:42:52 +0200
