=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Arch: gnat (>= 4.9),
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
- libasis2017-dev,
- libgnatcoll16.1.0-dev,
+ libasis2018-dev,
+ libgnatcoll17-dev,
 # gprbuild handling gnat-6
  gprbuild (>= 2015-2),
  dos2unix
