## adacontrol 1.21r3

=== debian/changelog ===
adacontrol (1.21r3-3) unstable; urgency=medium

  * Disable a crashing test. Closes: #932452.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 20 Jul 2019 13:46:19 +0200

adacontrol (1.21r3-2) unstable; urgency=medium

  * Run the test script with bash instead of sh.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 19 Jul 2019 14:00:02 +0200

adacontrol (1.21r3-1) unstable; urgency=medium

  * New upstream release, fixing tests. Closes: #924835.
  * Upload to unstable, freeze is over.
  * Move version control system to salsa.debian.org.
  * Drop obsolete build-depends version restriction.
  * Standards-Version: 4.4.0

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 19 Jul 2019 10:49:34 +0200

adacontrol (1.20r9-1) experimental; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 01 Mar 2019 17:54:24 +0100
