=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12)
-Build-Depends-Arch: gnat (>= 4.9),
+Build-Depends-Arch:
+ gnat,
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
  libasis2018-dev,
  libgnatcoll17-dev,
@@ -18,8 +19,8 @@
 Build-Depends-Indep:
  texinfo, texlive-base, texlive-plain-generic, texlive-latex-base,
  texlive-fonts-recommended
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.adacontrol
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.adacontrol
+Vcs-Browser: https://salsa.debian.org/debian/adacontrol
+Vcs-Git: https://salsa.debian.org/debian/adacontrol.git -b debian/master
 
 Package: adacontrol
 Architecture: any
