=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,15 @@
 # The full text of the GNU General Public License is in the file
 # /usr/share/common-licenses/GPL on Debian systems.
 
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_ADAFLAGS_MAINT_APPEND := -gnatwa
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-undefined
+
 ifneq (,$(wildcard /usr/bin/gnatgcc)) # Build-Depends-Arch are installed.
-  DEB_BUILD_MAINT_OPTIONS := hardening=+all
-  DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-undefined
   include /usr/share/dpkg/buildflags.mk
   gnat_version := $(shell /usr/bin/gnatgcc --version | sed -n '1s/.* //p')
   gnat_base_version := $(basename $(basename $(gnat_version)))
   include /usr/share/ada/debian_packaging-$(gnat_base_version).mk
-  ADAFLAGS += -gnatwa
 endif
 
 executables := adactl pfni ptree adactl_fix
@@ -54,11 +55,7 @@
 
 override_dh_auto_test-arch:
   ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-# Ignore build-time tests so that the severity of #924835 can be
-# lowered and the package accepted into buster.  An actual fix
-# requires a bit more time and probably a longer diff.
-# Produce the log nevertheless.
-	-cd test && sh run.sh
+	cd test && bash run.sh
   endif
 override_dh_auto_clean::
 	rm -fr test/res
